触发 AI 工作流
curl --request POST \
--url https://api.brightdata.com/dca/collectors/{collector_id}/automate_template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Extract product data from this page",
"urls": [
"https://example.com/products/product-a",
"https://example.com/products/product-b"
]
}
'import requests
url = "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template"
payload = {
"description": "Extract product data from this page",
"urls": ["https://example.com/products/product-a", "https://example.com/products/product-b"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Extract product data from this page',
urls: [
'https://example.com/products/product-a',
'https://example.com/products/product-b'
]
})
};
fetch('https://api.brightdata.com/dca/collectors/{collector_id}/automate_template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Extract product data from this page',
'urls' => [
'https://example.com/products/product-a',
'https://example.com/products/product-b'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template"
payload := strings.NewReader("{\n \"description\": \"Extract product data from this page\",\n \"urls\": [\n \"https://example.com/products/product-a\",\n \"https://example.com/products/product-b\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/dca/collectors/{collector_id}/automate_template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Extract product data from this page\",\n \"urls\": [\n \"https://example.com/products/product-a\",\n \"https://example.com/products/product-b\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/dca/collectors/{collector_id}/automate_template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Extract product data from this page\",\n \"urls\": [\n \"https://example.com/products/product-a\",\n \"https://example.com/products/product-b\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "ia_mnvfxano29hv58t24o",
"queued": false
}AI 工作流 API
触发 AI 工作流
使用 Bright Data Scraper Studio AI Flow API,根据最多两个商品页面 URL 生成爬虫代码。以 JSON 格式返回 AI 任务 ID。
POST
/
dca
/
collectors
/
{collector_id}
/
automate_template
触发 AI 工作流
curl --request POST \
--url https://api.brightdata.com/dca/collectors/{collector_id}/automate_template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Extract product data from this page",
"urls": [
"https://example.com/products/product-a",
"https://example.com/products/product-b"
]
}
'import requests
url = "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template"
payload = {
"description": "Extract product data from this page",
"urls": ["https://example.com/products/product-a", "https://example.com/products/product-b"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Extract product data from this page',
urls: [
'https://example.com/products/product-a',
'https://example.com/products/product-b'
]
})
};
fetch('https://api.brightdata.com/dca/collectors/{collector_id}/automate_template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Extract product data from this page',
'urls' => [
'https://example.com/products/product-a',
'https://example.com/products/product-b'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template"
payload := strings.NewReader("{\n \"description\": \"Extract product data from this page\",\n \"urls\": [\n \"https://example.com/products/product-a\",\n \"https://example.com/products/product-b\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/dca/collectors/{collector_id}/automate_template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Extract product data from this page\",\n \"urls\": [\n \"https://example.com/products/product-a\",\n \"https://example.com/products/product-b\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/dca/collectors/{collector_id}/automate_template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Extract product data from this page\",\n \"urls\": [\n \"https://example.com/products/product-a\",\n \"https://example.com/products/product-b\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "ia_mnvfxano29hv58t24o",
"queued": false
}AI Scraper Studio 支持使用同一域名下最多两个商品详情页(PDP)URL 创建爬虫,适用于这些商品页面结构不同的情况。仅当同一域名下的两个商品页面结构不同时才使用两个 URL。如果两个页面结构相同,请只提供一个 URL,以更快生成爬虫代码。
{
"description": "Extract product data from this page",
"urls": [
"https://example.com/products/product-a",
"https://example.com/products/product-b"
]
}
id 传给 AI 任务进度,跟踪 AI 任务直到爬虫代码生成完成。授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
请求体
application/json
Maximum string length:
500示例:
"Extract product data from this page"
AI Scraper Studio 用于生成爬虫的商品详情页(PDP)URL。发送一个 URL;当同一域名下的商品页面结构不同时,最多可发送两个 URL。如果两个页面结构相同,请只发送一个 URL,以更快生成爬虫代码。
Maximum array length:
2示例:
[
"https://example.com/products/product-a",
"https://example.com/products/product-b"
]
此页面对您有帮助吗?